import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils/index'

// 业绩-查询列表
export function achievementAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/achievement/achievementAllList',
    method: 'post',
    data
  })
}

// 查询业绩-查询详情
export function findAchievementInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/achievement/findAchievementInfo',
    method: 'post',
    data
  })
}

// 投标人基本情况-查询列表
export function bidderInfoAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/bidderInfo/bidderInfoAllList',
    method: 'post',
    data
  })
}

// 投标人基本情况-查询详情
export function findBidderInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/bidderInfo/findBidderInfo',
    method: 'post',
    data
  })
}

// 营业执照-查询列表
export function businessLicenseAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/businessLicense/businessLicenseAllList',
    method: 'post',
    data
  })
}
// 营业执照-查询详情
export function findBusinessLicenseInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/businessLicense/findBusinessLicenseInfo',
    method: 'post',
    data
  })
}

// 证书类型-查询列表
export function certificateAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/certificate/certificateAllList',
    method: 'post',
    data
  })

}

// 证书类型-查询详情
export function findCertificateInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/certificate/findCertificateInfo',
    method: 'post',
    data
  })
}

// 项目负责人-查询列表
export function peopleAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/people/peopleAllList',
    method: 'post',
    data
  })
}
// 项目负责人-查询详情
export function findPeopleInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/people/findPeopleInfo',
    method: 'post',
    data
  })
}
// 财务报告-查询列表
export function financialReportsAllList(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/financialReports/financialReportsAllList',
    method: 'post',
    data
  })
}
// 财务报告-查询详情
export function findFinancialReportsInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/financialReports/findFinancialReportsInfo',
    method: 'post',
    data
  })
}
// 文件下载
export function downAttachmentLoadFile(data) {
  return request({
    url: '/bidprocurement/common-supplier/qualifications/attachment/downAttachmentLoadFile' + createURL(data),
    method: 'get',
    responseType: 'blob'
  })
}

